EDIT - feature request #6368

feature request # 6361 (Closed): [MASTER] Merge all TaxonName classes into 1 class

Merge all TaxonNameBase classes, remove DTYPE, rename table

01/21/2017 12:15 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Mller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 4.7

Severity: normal

Description

Related issues:

Related to EDIT - bug #7373: TitleAndNameCacheAutolnitializer needs to be ada...

New

Associated revisions

Revision 76015¢32 - 05/22/2017 01:50 PM - Andreas Miiller

fix #6368 rename table and class TaxonNameBase in app-import

Revision 86536e03 - 05/22/2017 01:50 PM - Andreas Miiller

fix #6368 rename table and class TaxonNameBase in app-import

Revision 51688d00 - 05/23/2017 12:52 AM - Andreas Miiller
ref #6368 , ref #6671, ref #6630 adapt pesi to no taxon name model

Revision 44f8b525 - 05/23/2017 01:07 AM - Andreas Miller
ref #6368 , ref #6671, ref #6630 adapt eflora to no taxon name model

Revision e6d7b501 - 06/03/2017 07:17 PM - Andreas Muller

ref #6368 remove TaxonNameBase subclasses

Revision 0446354d - 06/03/2017 07:17 PM - Andreas Miiller

ref #6368 update script for anamorphic

Revision fc4e2ef9 - 06/03/2017 07:17 PM - Andreas Miiller

ref #6368 remove some further occurrences of NonViralName

Revision 5b47e484 - 06/03/2017 07:17 PM - Andreas Miiller
ref #6368 clean SetSpec

Revision 4cf023af - 06/03/2017 07:17 PM - Andreas Miiller
ref #6368 remove BotanicalName in test DTYPE

Revision 3aab3f7f - 06/03/2017 07:17 PM - Andreas Miiller

ref #6368 remove DTYPE from TaxonNameBase in update script

Revision aff06aa4 - 06/03/2017 07:17 PM - Andreas Miiller
ref #6368 remove ZoologicalName in test DTYPE

Revision 9dc896c9 - 06/03/2017 07:18 PM - Andreas Miiller

fix #6368 rename table and class TaxonNameBase
Revision 1f088ad4 - 06/03/2017 07:18 PM - Andreas Miiller

ref #6368 some adaptations after rebase

Revision db183545 - 06/03/2017 07:18 PM - Andreas Miiller

ref #6630 and ref #6368 remove generics from TaxonName

Revision ecb47516 - 06/03/2017 07:18 PM - Andreas Miiller
ref #6368 , ref #6671, ref #6630 adapt eflora to no taxon name model

Revision 491cef21 - 06/03/2017 07:45 PM - Andreas Miiller

ref 6368 fix compilation error in TaxonServicelmplTest

Revision 292fe199 - 06/05/2017 10:26 AM - Andreas Miiller

ref #6446, ref #6368 remove TaxonnameBase in vaadin,

Revision 6b381b7d - 06/05/2017 11:01 AM - Andreas Miiller

ref #6368 remove some further occurrences of ITaxonNameBase

Revision da93b6de - 06/06/2017 11:57 AM - Andreas Kohlbecker

ref #6368 adapting cdm-vaadin to new TaxonName model

Revision 4e3ficdc - 06/13/2017 11:51 AM - Andreas Miiller

ref #6368 remove commented all TaxonName subclasses completely

History

#1 - 05/06/2017 10:53 AM - Andreas Miiller

Also update value for anamorphic from NULL to false

#2 - 05/06/2017 10:54 AM - Andreas Miiller
- Tracker changed from bug to feature request
- Status changed from New to In Progress

- % Done changed from 0 to 40

#3 - 06/03/2017 07:25 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 40 to 50

Applied in changeset cdmlib|9dc896c9a181487e9796e2ae7b0ale2bfadff32a.

#4 - 06/05/2017 09:50 AM - Andreas Miiller
- % Done changed from 50 to 90

#5 - 06/06/2017 12:01 AM - Andreas Miiller
- % Done changed from 90 to 50

Applied in changeset cdmlib-apps|76015c3280374e0812ff99a887000483be80f18d.

#6 - 06/08/2017 08:38 AM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

#7 - 04/26/2018 11:24 PM - Andreas Kohlbecker

- Related to bug #7373: TitleAndNameCacheAutolnitializer needs to be adapted to recent TaxonName model changes added
